GRASS Edit modifies files access permissions

2008-07-02 10:19 AM - Maciej Sieczka -

Status: Closed

Priority: Low

Assignee: Tim Sutton

Category: GRASS

Affected QGIS version: Regression?: No

Operating System: Linux Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme

Crashes QGIS or corrupts data: Copied to github as #: 11195

Description

See what are the initial rights for the files that a given GRASS vector layer is composed of:

$ ls -lr dbf/pokrycie_przyborow_u65_10k.dbf vector/pokrycie_przyborow_u65_10k

-rw-rw---- 1 ms      users-grass  466 2008-07-02 19:07 dbf/pokrycie_przyborow_u65_10k.dbf

vector/pokrycie_przyborow_u65_10k:

razem 140

-rw-rw---- 1 ms      users-grass   1986 2008-07-02 19:07 topo

-rw-rw---- 1 andrzej users-grass   3195 2008-07-02 19:07 hist

-rw-rw---- 1 andrzej users-grass    176 2008-07-02 19:07 head

-rw-rw---- 1 andrzej users-grass     75 2008-07-02 19:07 dbln

-rw-rw---- 1 andrzej users-grass 116326 2008-07-02 19:07 coor

-rw-rw---- 1 ms      users-grass    369 2008-07-02 19:07 cidx

As can be seen both group and owner can edit data. Now I open the vector in QGIS GRASS Edit, modify a feture and quit. QGIS modifies

file access rights for the group, preventing other group members from being able to edit the data from now on:

$ ls -lr vector/pokrycie_przyborow_u65_10k dbf/pokrycie_przyborow_u65_10k.dbf

-rw-r--r-- 1 ms      users-grass  375 2008-07-02 19:14 dbf/pokrycie_przyborow_u65_10k.dbf

vector/pokrycie_przyborow_u65_10k:

razem 140

-rw-r--r-- 1 ms      users-grass   1949 2008-07-02 19:14 topo

-rw-rw---- 1 andrzej users-grass   3402 2008-07-02 19:13 hist

-rw-rw---- 1 andrzej users-grass    176 2008-07-02 19:14 head

-rw-rw---- 1 andrzej users-grass     75 2008-07-02 19:14 dbln

-rw-rw---- 1 andrzej users-grass 116326 2008-07-02 19:14 coor

-rw-r--r-- 1 ms      users-grass    349 2008-07-02 19:14 cidx

Please don't!

History

#1 - 2008-07-11 03:42 AM - Tim Sutton

- Status changed from Open to In Progress
Yes thats not good lets try to fix that.

#2 - 2008-07-11 06:54 AM - Jürgen Fischer

- Resolution set to worksforme

- Status changed from In Progress to Closed

GRASS behaves the same.  Setting umask helps.

See thread http://lists.osgeo.org/pipermail/qgis-developer/2008-July/004277.html ff for more details.

#3 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted
